Index: rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp6_cli.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp6_cli.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/tinet/netapp/dhcp6_cli.c	(revision 315)
@@ -70,44 +70,30 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -156,5 +142,5 @@
 
 /*
- *  DHCPv6 ã¯ã©ã¤ã¢ã³ãã¿ã¹ã¯
+ *  DHCPv6 クライアントタスク
  */
 
@@ -162,7 +148,7 @@
 
 /*
- *  DHCP åä½ã¢ã¼ã
+ *  DHCP 動作モード
  *
- *    #define DHCP6_CLI_CFG_MODE ã§æå®ããã
+ *    #define DHCP6_CLI_CFG_MODE で指定する。
  *
  */
@@ -173,22 +159,21 @@
 
 /*
- *  å¤æ°
+ *  変数
  */
 
 static const T_IN6_ADDR in6_addr_all_DHCP_relay_servers =
-	IPV6_ADDR_ALL_DHCP_RELAY_SERVERS_INIT;			/* ãªã¬ã¼ã»ãµã¼ãã® IPv6 ã¢ãã¬ã¹	*/
-static T_DHCP6_CLI_CONTEXT	context;			/* ã¯ã©ã¤ã¢ã³ãã³ã³ãã­ã¹ã	*/
+	IPV6_ADDR_ALL_DHCP_RELAY_SERVERS_INIT;			/* リレー・サーバの IPv6 アドレス	*/
+static T_DHCP6_CLI_CONTEXT	context;			/* クライアントコンテキスト	*/
 
 #ifdef DHCP6_CLI_CFG_REQUIRED_OLIST
-static uint8_t	required_plist[] = DHCP6_CLI_CFG_REQUIRED_OLIST;	/* å¿
-é ãªãã·ã§ã³ãªã¹ã		*/
+static uint8_t	required_plist[] = DHCP6_CLI_CFG_REQUIRED_OLIST;	/* 必須オプションリスト		*/
 #endif
 
 #ifdef DHCP6_CLI_CFG_REQUEST_OLIST
-static uint8_t	request_plist[] = DHCP6_CLI_CFG_REQUEST_OLIST;		/* è¦æ±ãªãã·ã§ã³ãªã¹ã		*/
+static uint8_t	request_plist[] = DHCP6_CLI_CFG_REQUEST_OLIST;		/* 要求オプションリスト		*/
 #endif
 
 /*
- *  dhcp6_rand -- RFC3315 ã«è¦å®ãããä¹±æ°ãçºçããã
+ *  dhcp6_rand -- RFC3315 に規定された乱数を発生する。
  */
 
@@ -209,5 +194,5 @@
 
 /*
- *  init_duid -- ã¯ã©ã¤ã¢ã³ãã® DUID ãè¨­å®ããã
+ *  init_duid -- クライアントの DUID を設定する。
  */
 
@@ -218,5 +203,5 @@
 #if DHCP6_CLI_CFG_MODE == DHCP6_CLI_CFG_STATELESS
 
-	/* åä½ã¢ã¼ãã« STATELESS ãæå®ãããæã¯ LL å½¢å¼ã«ããã*/
+	/* 動作モードに STATELESS が指定された時は LL 形式にする。*/
 
 	T_DHCP6_DUID_LL_HDR	*ll;
@@ -226,12 +211,12 @@
 	HOST2MSG16(ll->type, DHCP6_HWA_TYPE_ETHER);
 	memcpy(&ct->duid[sizeof(*ll)], &ct->sc->ifaddr.lladdr, sizeof(ct->sc->ifaddr.lladdr));
-	ct->duid_len = sizeof(*ll) + sizeof(ct->sc->ifaddr.lladdr);	/* DIUD é·ãè¨é²ããã*/
+	ct->duid_len = sizeof(*ll) + sizeof(ct->sc->ifaddr.lladdr);	/* DIUD 長を記録する。*/
 
 #elif DHCP6_CLI_CFG_MODE == DHCP6_CLI_CFG_STATEFULL
 
 	/*
-	 *    åä½ã¢ã¼ãã« DHCP6_CLI_CFG_STATEFULL ãæå®ãããæã¯ LLT å½¢å¼ã«ããã
-	 *    time ã¡ã³ãã¼ã«ã¯ç¾å¨ã®æé[s]ãè¨­å®ããã
-	 *    æ³¨æ: æ«å®çã« get_tim() ã®å¤ãä½¿ãããè¦æ¤è¨
+	 *    動作モードに DHCP6_CLI_CFG_STATEFULL が指定された時は LLT 形式にする。
+	 *    time メンバーには現在の時間[s]を設定する。
+	 *    注意: 暫定的に get_tim() の値を使うが、要検討
 	 */
 
@@ -246,5 +231,5 @@
 	HOST2MSG32(llt->time, time);
 	memcpy(&ct->duid[sizeof(*llt)], &ct->sc->ifaddr.lladdr, sizeof(ct->sc->ifaddr.lladdr));
-	ct->duid_len = sizeof(*llt) + sizeof(ct->sc->ifaddr.lladdr);	/* DIUD é·ãè¨é²ããã*/
+	ct->duid_len = sizeof(*llt) + sizeof(ct->sc->ifaddr.lladdr);	/* DIUD 長を記録する。*/
 
 #else	/* of #if DHCP6_CLI_CFG_MODE == DHCP6_CLI_CFG_STATELESS */
@@ -255,6 +240,5 @@
 
 /*
- *  cancel_all_timers -- å
-¨ã¦ã® TIMER ãã­ã£ã³ã»ã«ããã
+ *  cancel_all_timers -- 全ての TIMER をキャンセルする。
  */
 
@@ -271,5 +255,5 @@
 
 /*
- *  dhcpc_timer -- TIMER ç®¡ç
+ *  dhcpc_timer -- TIMER 管理
  */
 
@@ -291,14 +275,13 @@
 	syscall(sig_sem(SEM_DHCP6_CLI_TIMER));
 
-	/* 1ç§æ¯ã«ã¿ã¤ã ã¢ã¦ãããã*/
+	/* 1秒毎にタイムアウトする。*/
 	timeout((callout_func)dhcpc_timer, ct, NET_TIMER_HZ / DHCP6C_TIMER_HZ);
 	}
 
 /*
- *  find_option -- æå®ãããªãã·ã§ã³ãæ¢ç´¢ããã
+ *  find_option -- 指定したオプションを探索する。
  *
- *    æ³¨æ: å¼æ° len ã 0 ã®æã¯ãªãã·ã§ã³ãµã¤ãºãæ¤è¨¼ããªãã
- *          å¼æ° len ã«ã¯ãªãã·ã§ã³å
-¨ä½ã®ãµã¤ãºãæå®ãããã¨ã
+ *    注意: 引数 len が 0 の時はオプションサイズを検証しない。
+ *          引数 len にはオプション全体のサイズを指定すること。
  */
 
@@ -321,9 +304,8 @@
 
 /*
- *  find_msg_option -- æå®ãããªãã·ã§ã³ãæ¢ç´¢ããã
+ *  find_msg_option -- 指定したオプションを探索する。
  *
- *    æ³¨æ: å¼æ° len ã 0 ã®æã¯ãªãã·ã§ã³ãµã¤ãºãæ¤è¨¼ããªãã
- *          å¼æ° len ã«ã¯ãªãã·ã§ã³å
-¨ä½ã®ãµã¤ãºãæå®ãããã¨ã
+ *    注意: 引数 len が 0 の時はオプションサイズを検証しない。
+ *          引数 len にはオプション全体のサイズを指定すること。
  */
 
@@ -335,6 +317,5 @@
 
 /*
- *  is_equal_sid -- ã¡ãã»ã¼ã¸å
-ã® SERVER ID ãæ¯è¼ããã
+ *  is_equal_sid -- メッセージ内の SERVER ID を比較する。
  */
 
@@ -357,6 +338,5 @@
 
 /*
- *  validate_iaaddrs -- ã¢ãã¬ã¹æ
-å ±ï¼IAADDRï¼ãæ¤è¨¼ããã
+ *  validate_iaaddrs -- アドレス情報（IAADDR）を検証する。
  */
 
@@ -366,5 +346,5 @@
 	T_DHCP6_OPT_IAADDR	*iaa;
 
-	/* ãªãã·ã§ã³ã IAADDR ã§ãããã¨ãæ¤è¨¼ããã*/
+	/* オプションが IAADDR であることを検証する。*/
 	iaa = (T_DHCP6_OPT_IAADDR*)opt;
 	if (MSG2HOST16(iaa->code) != DHCP6_OPT_IAADDR)
@@ -372,9 +352,9 @@
 
 	while (len > 0) {
-		/* ãªãã·ã§ã³é·ãæ¤è¨¼ããã*/
+		/* オプション長を検証する。*/
 		if (len < sizeof(*iaa))
 			return E_PAR;
 
-		/* ãªãã·ã§ã³é·ã T_DHCP6_OPT_IAADDR ã®ãµã¤ãºã¨ä¸è´ãã¦ããªããã°ã¨ã©ã¼ */
+		/* オプション長が T_DHCP6_OPT_IAADDR のサイズと一致していなければエラー */
 		iaa = (T_DHCP6_OPT_IAADDR*)opt;
 		if ((MSG2HOST16(iaa->len) & ~DHCP6C_IAA_FLAG_MASK) < (sizeof(*iaa) - sizeof(T_DHCP6_OPTION)))
@@ -382,7 +362,6 @@
 
 		/*
-		 *  perferred-lifetime ã¨ valid-lifetime ã®å¤ãçç¾ãã¦ããã¨ãã¯ã¨ã©ã¼
-		 *  ãRFC3315 (22.6) åç
-§ã
+		 *  perferred-lifetime と valid-lifetime の値が矛盾しているときはエラー
+		 *  【RFC3315 (22.6) 参照】
 		 */
 		if (MSG2HOST32(iaa->prefer) > MSG2HOST32(iaa->valid))
@@ -397,5 +376,5 @@
 
 /*
- *  validate_ia_na_pd -- IA_NA/IA_PD ãªãã·ã§ã³ãæ¤è¨¼ããã
+ *  validate_ia_na_pd -- IA_NA/IA_PD オプションを検証する。
  */
 
@@ -406,9 +385,9 @@
 	uint8_t			*opt;
 
-	/* IA_NA/IA_PD ãç¡ããã°æ¤è¨¼ããªãã*/
+	/* IA_NA/IA_PD が無ければ検証しない。*/
 	if ((opt = find_msg_option(msg, code, 0)) == NULL)
 		return E_OK;
 
-	/* ãªãã·ã§ã³é·ãæ¤è¨¼ããã*/
+	/* オプション長を検証する。*/
 	na = (T_DHCP6_OPT_IA_NA_PD*)opt;
 	if (!(msg->len >= (opt - (uint8_t*)&msg->msg) + sizeof(*na) &&
@@ -417,8 +396,6 @@
 
 	/*
-	 *  T1 ã¨ T2 ã®å¤ãçç¾ãã¦ããæãã¾ãã¯ã¢ãã¬ã¹æ
-å ±ãèª¤ã£ã¦ããæã¯ã¨ã©ã¼
-	 *  ãRFC3315 (22.4) åç
-§ã
+	 *  T1 と T2 の値が矛盾している時、またはアドレス情報が誤っている時はエラー
+	 *  【RFC3315 (22.4) 参照】
 	 */
 	if (MSG2HOST32(na->renew) > 0 && MSG2HOST32(na->rebind) > 0 &&
@@ -433,5 +410,5 @@
 
 /*
- *  validate_ia_ta -- IA_TA ãªãã·ã§ã³ãæ¤è¨¼ããã
+ *  validate_ia_ta -- IA_TA オプションを検証する。
  */
 
@@ -442,9 +419,9 @@
 	uint8_t			*opt;
 
-	/* IA_TA ãç¡ããã°æ¤è¨¼ããªãã*/
+	/* IA_TA が無ければ検証しない。*/
 	if ((opt = find_msg_option(msg, DHCP6_OPT_IA_TA, 0)) == NULL)
 		return E_OK;
 
-	/* ãªãã·ã§ã³é·ãæ¤è¨¼ããã*/
+	/* オプション長を検証する。*/
 	ta = (T_DHCP6_OPT_IA_TA	*)opt;
 	if (!(msg->len >= (opt - (uint8_t*)&msg->msg) + sizeof(*ta) &&
@@ -453,7 +430,5 @@
 
 	/*
-	 *  ã¢ãã¬ã¹æ
-å ±ãèª¤ã£ã¦ããæã¯ã¨ã©ã¼ãRFC3315 (22.4) åç
-§ã
+	 *  アドレス情報が誤っている時はエラー【RFC3315 (22.4) 参照】
 	 */
 	if (validate_iaaddrs(opt + sizeof(*ta), (MSG2HOST16(ta->len) & ~DHCP6C_IAA_FLAG_MASK) - (sizeof(*ta) - sizeof(T_DHCP6_OPTION))) != E_OK)
@@ -463,5 +438,5 @@
 	}
 /*
- *  classify_reply -- å¿ç­ã¡ãã»ã¼ã¸ãåé¡ããã
+ *  classify_reply -- 応答メッセージを分類する。
  */
 
@@ -471,17 +446,17 @@
 	ER	error;
 
-	/* IA_NA ãªãã·ã§ã³ãæ¤è¨¼ããã*/
+	/* IA_NA オプションを検証する。*/
 	if ((error = validate_ia_na_pd(msg, DHCP6_OPT_IA_NA)) != E_OK)
 		return error;
 
-	/* IA_TA ãªãã·ã§ã³ãæ¤è¨¼ããã*/
+	/* IA_TA オプションを検証する。*/
 	if ((error = validate_ia_ta(msg)) != E_OK)
 		return error;
 
-	/* IA_PD ãªãã·ã§ã³ãæ¤è¨¼ããã*/
+	/* IA_PD オプションを検証する。*/
 	if ((error = validate_ia_na_pd(msg, DHCP6_OPT_IA_PD)) != E_OK)
 		return error;
 
-	/* ãµã¼ã DUID ããããã¨ãæ¤è¨¼ããã*/
+	/* サーバ DUID があることを検証する。*/
 	if (find_msg_option(msg, DHCP6_OPT_SERVERID, 0) == NULL)
 		return E_PAR;
@@ -491,5 +466,5 @@
 
 /*
- *  validate_reply -- å¿ç­ã¡ãã»ã¼ã¸ãæ¤è¨¼ããã
+ *  validate_reply -- 応答メッセージを検証する。
  */
 
@@ -500,9 +475,9 @@
 	uint8_t			*opt;
 
-	/* ãµã¼ã DUID ããããã¨ãæ¤è¨¼ããã*/
+	/* サーバ DUID があることを検証する。*/
 	if (find_msg_option(msg, DHCP6_OPT_SERVERID, 0) == NULL)
 		return E_PAR;
 
-	/* ã¯ã©ã¤ã¢ã³ã DUID ããããèªåã®ã¯ã©ã¤ã¢ã³ã DUID ã¨åããã¨ãæ¤è¨¼ããã*/
+	/* クライアント DUID があり、自分のクライアント DUID と同じことを検証する。*/
 	if ((opt = find_msg_option(msg, DHCP6_OPT_CLIENTID, 0)) == NULL)
 		return E_PAR;
@@ -518,5 +493,5 @@
 
 /*
- *  get_status_code -- STATUS ãªãã·ã§ã³ã®çµæã³ã¼ããç²å¾ããã
+ *  get_status_code -- STATUS オプションの結果コードを獲得する。
  */
 
@@ -527,9 +502,9 @@
 	uint8_t			*opt;
 
-	/* STATUS ãªãã·ã§ã³ãç¡ããã°æ¤è¨¼ããªãã*/
+	/* STATUS オプションが無ければ検証しない。*/
 	if ((opt = find_option(msg, msg_len, DHCP6_OPT_STATUS_CODE, 0)) == NULL)
 		return DHCP6_STAT_SUCCESS;
 
-	/* ãªãã·ã§ã³é·ãæ¤è¨¼ããã*/
+	/* オプション長を検証する。*/
 	status = (T_DHCP6_OPT_STATUS_CODE*)opt;
 	if (msg_len < sizeof(*status))
@@ -542,5 +517,5 @@
 
 /*
- *  get_msg_status_code -- STATUS ãªãã·ã§ã³ã®çµæã³ã¼ããç²å¾ããã
+ *  get_msg_status_code -- STATUS オプションの結果コードを獲得する。
  */
 
@@ -598,5 +573,5 @@
 
 /*
- *  validate_rcv_msg -- åä¿¡ã¡ãã»ã¼ã¸ãæ¤è¨¼ããã
+ *  validate_rcv_msg -- 受信メッセージを検証する。
  */
 
@@ -607,5 +582,5 @@
 	uint_t	code;
 
-	/* ã¡ãã»ã¼ã¸ã®ã¿ã¤ããä¸è´ãã¦ãããã¨ãæ¤è¨¼ããã*/
+	/* メッセージのタイプが一致していることを検証する。*/
 	switch (ct->fsm) {
 
@@ -649,14 +624,13 @@
 		}
 
-	/* åä¿¡ã¡ãã»ã¼ã¸ãæ¤è¨¼ããã*/
+	/* 受信メッセージを検証する。*/
 	if ((error = validate_reply(ct, msg)) != E_OK)
 		return error;
 
-	/* åä¿¡ã¡ãã»ã¼ã¸ãåé¡ããã*/
+	/* 受信メッセージを分類する。*/
 	if ((error = classify_reply(msg)) != E_OK)
 		return error;
 
-	/* åä¿¡ããã¡ãã»ã¼ã¸å
-ã® STATUS CODE ãªãã·ã§ã³ãæ¤è¨¼ããã*/
+	/* 受信したメッセージ内の STATUS CODE オプションを検証する。*/
 	error = get_msg_status_code(msg, &code);
 	if (error != E_OK)
@@ -667,5 +641,5 @@
 
 /*
- *  eval_ia_prefer -- IA_NA/IA_TA/IA_PD ã®æ¨å¥¨åº¦ãè©ä¾¡ããã
+ *  eval_ia_prefer -- IA_NA/IA_TA/IA_PD の推奨度を評価する。
  */
 
@@ -680,5 +654,5 @@
 	uint_t		aoff, asize;
 
-	/* ç¡å¹ã®å ´åã¯çµäºããã*/
+	/* 無効の場合は終了する。*/
 	if (cli_msg == NULL)
 		return;
@@ -721,5 +695,5 @@
 
 /*
- *  eval_prefer -- åä¿¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ãè©ä¾¡ããã
+ *  eval_prefer -- 受信メッセージの推奨度を評価する。
  */
 
@@ -730,9 +704,9 @@
 	int			ix;
 
-	/* ç¡å¹ã®å ´åã¯çµäºããã*/
+	/* 無効の場合は終了する。*/
 	if (msg == NULL)
 		return;
 
-	/* PREFERENCE ãªãã·ã§ã³ãè©ä¾¡ããã*/
+	/* PREFERENCE オプションを評価する。*/
 	if ((opt = find_msg_option(msg, DHCP6_OPT_PREFERENCE, sizeof(T_DHCP6_OPT_PREFERENCE))) != NULL)
 		msg->prefer = MSG2HOST16(((T_DHCP6_OPT_PREFERENCE*)opt)->prefer) | DHCP6_ClI_MSG_PREFER_OPTION;
@@ -742,6 +716,5 @@
 #if defined(DHCP6_CLI_CFG_REQUIRED_OLIST)
 
-	/* å¿
-é ãªãã·ã§ã³ãæ¤è¨¼ããã*/
+	/* 必須オプションを検証する。*/
 	for (ix = sizeof(required_plist); ix -- > 0; ) {
 		if (find_msg_option(msg, required_plist[ix], 0) == NULL)
@@ -754,5 +727,5 @@
 #if defined(DHCP6_CLI_CFG_REQUEST_OLIST)
 
-	/* è¦æ±ãªãã·ã§ã³ãæ¤è¨¼ããã*/
+	/* 要求オプションを検証する。*/
 	for (ix = sizeof(request_plist); ix -- > 0; ) {
 		if (find_msg_option(msg, request_plist[ix], 0) != NULL)
@@ -764,5 +737,5 @@
 
 /*
- *  eval_rcv_msg -- åä¿¡ã¡ãã»ã¼ã¸ãè©ä¾¡ããã
+ *  eval_rcv_msg -- 受信メッセージを評価する。
  */
 
@@ -773,5 +746,5 @@
 	SYSTIM		time;
 
-	/* ã¡ãã»ã¼ã¸ãåä¿¡ãã¦ããªããã°ä¸­æ­¢ããã*/
+	/* メッセージを受信していなければ中止する。*/
 	syscall(wai_sem(SEM_DHCP6_CLI_LOCK));
 	if (ct->val_lst == NULL) {
@@ -780,5 +753,5 @@
 		}
 
-	/* æ¤è¨¼ã¡ãã»ã¼ã¸ãªã¹ãããè©ä¾¡ã¡ãã»ã¼ã¸ãåãåºãã*/
+	/* 検証メッセージリストから評価メッセージを取り出す。*/
 	evl         = ct->val_lst;
 	ct->val_lst = ct->val_lst->next;
@@ -786,23 +759,22 @@
 	syscall(sig_sem(SEM_DHCP6_CLI_LOCK));
 
-	/* åä¿¡æéãè¨­å®ããã*/
+	/* 受信時間を設定する。*/
 	get_tim(&time);
 	evl->rcv_time = time;
 
-	/* è©ä¾¡ã¡ãã»ã¼ã¸ãæ¤è¨¼ããã*/
+	/* 評価メッセージを検証する。*/
 	if (validate_rcv_msg(ct, evl) != E_OK) {
 
-		/* ã¨ã©ã¼ãçºçããè©ä¾¡ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã*/
+		/* エラーが発生した評価メッセージを受信メッセージ構造体リストに戻す。*/
 		goto rcv_ret;
 		}
 
-	/* REL_INFO ç¶æ
-ã®æã®å¦ç */
+	/* REL_INFO 状態の時の処理 */
 	if (ct->fsm == DHCP6_FSM_REL_INFO) {
 		syscall(wai_sem(SEM_DHCP6_CLI_LOCK));
 		if (evl->status == DHCP6_STAT_SUCCESS) {
 			/*
-			 *  STATUS CODE ã DHCP6_STAT_SUCCESS ãªãã
-			 *  è©ä¾¡ã¡ãã»ã¼ã¸ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã«è¨­å®ãã¦çµäºããã
+			 *  STATUS CODE が DHCP6_STAT_SUCCESS なら、
+			 *  評価メッセージを推奨メッセージリストに設定して終了する。
 			 */
 			evl->next   = ct->prf_lst;
@@ -810,5 +782,5 @@
 			}
 		else {
-			/* è©ä¾¡ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã¦çµäºããã*/
+			/* 評価メッセージを受信メッセージ構造体リストに戻して終了する。*/
 			evl->next   = ct->rcv_lst;
 			ct->rcv_lst = evl;
@@ -818,9 +790,9 @@
 		}
 
-	/* è©ä¾¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ãè©ä¾¡ããã*/
+	/* 評価メッセージの推奨度を評価する。*/
 	eval_prefer(evl);
 	eval_ia_prefer(evl);
 
-	/* æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ããç©ºãªãè©ä¾¡ã¡ãã»ã¼ã¸ãç§»ãã¦çµäºããã*/
+	/* 推奨メッセージリストが空なら評価メッセージを移して終了する。*/
 	if (ct->prf_lst == NULL) {
 		ct->max_prefer = evl->prefer & DHCP6_ClI_MSG_PREFER_VALUE_MASK;
@@ -829,11 +801,11 @@
 		}
 
-	/* è©ä¾¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ã¨æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®æå¤§æ¨å¥¨åº¦ãæ¯è¼ããã*/
+	/* 評価メッセージの推奨度と推奨メッセージリストの最大推奨度を比較する。*/
 	if ((evl->prefer & DHCP6_ClI_MSG_PREFER_VALUE_MASK) > ct->max_prefer) {
 
 		/* 
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®æå¤§æ¨å¥¨åº¦ããé«ããã°ã
-		 *  æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ããåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã«ç§»ãã
+		 *  評価メッセージの推奨度が推奨メッセージリストの最大推奨度より高ければ、
+		 *  推奨メッセージリストを受信メッセージ構造体リストに戻し、
+		 *  評価メッセージを推奨メッセージリストに移す。
 		 */
 		ct->max_prefer = evl->prefer & DHCP6_ClI_MSG_PREFER_VALUE_MASK;
@@ -856,6 +828,6 @@
 
 				/*
-				 *  æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã«åã DHCP6_OPT_SERVERID ã®ã¡ãã»ã¼ã¸ãããã°ã
-				 *  è©ä¾¡ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
+				 *  推奨メッセージリストに同じ DHCP6_OPT_SERVERID のメッセージがあれば、
+				 *  評価メッセージを受信メッセージ構造体リストに戻す。
 				 */
 				goto rcv_ret;
@@ -864,5 +836,5 @@
 
 		/* 
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã«ç§»ãã
+		 *  評価メッセージを推奨メッセージリストに移す。
 		 */
 		evl->next   = ct->prf_lst;
@@ -873,6 +845,6 @@
 	/*else */
 		/* 
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ãæ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®æå¤§æ¨å¥¨åº¦ããä½ããã°ã
-		 *  è©ä¾¡ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
+		 *  評価メッセージの推奨度が推奨メッセージリストの最大推奨度より低ければ、
+		 *  評価メッセージを受信メッセージ構造体リストに戻す。
 		 */
 
@@ -886,6 +858,5 @@
 
 /*
- *  select_msg -- æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®å
-é ­ã®ã¡ãã»ã¼ã¸ãé¸æããã
+ *  select_msg -- 推奨メッセージリストの先頭のメッセージを選択する。
  */
 
@@ -897,5 +868,5 @@
 	syscall(wai_sem(SEM_DHCP6_CLI_LOCK));
 	if (ct->prf_lst == NULL) {
-		/* ã¡ãã»ã¼ã¸ãåä¿¡ãã¦ããªããã°ä¸­æ­¢ããã*/
+		/* メッセージを受信していなければ中止する。*/
 		syscall(sig_sem(SEM_DHCP6_CLI_LOCK));
 		return NULL;
@@ -907,6 +878,5 @@
 
 	if ((select->prefer & DHCP6_ClI_MSG_PREFER_REQUIRED) == 0) {
-		/* å¿
-é ãªãã·ã§ã³ãç¡ããã°é¸æããªãã*/
+		/* 必須オプションが無ければ選択しない。*/
 		syscall(sig_sem(SEM_DHCP6_CLI_LOCK));
 		return NULL;
@@ -917,6 +887,5 @@
 	if (((select->prefer & DHCP6_ClI_MSG_PREFER_REQUIRED) == 0) ||
 	    ((select->prefer & DHCP6_ClI_MSG_PREFER_ADDR)     == 0)) {
-		/* å¿
-é ãªãã·ã§ã³ã¨ã¢ãã¬ã¹ãç¡ããã°é¸æããªãã*/
+		/* 必須オプションとアドレスが無ければ選択しない。*/
 		syscall(sig_sem(SEM_DHCP6_CLI_LOCK));
 		return NULL;
@@ -927,10 +896,9 @@
 #endif	/* of #if DHCP6_CLI_CFG_MODE == DHCP6_CLI_CFG_STATELESS */
 
-	/* æ¨å¥¨ã¡ãã»ã¼ã¸ãªã¹ãã®å
-é ­ã®ã¡ãã»ã¼ã¸ãé¸æããã*/
+	/* 推奨メッセージリストの先頭のメッセージを選択する。*/
 	ct->prf_lst  = ct->prf_lst->next;
 	select->next = NULL;
 
-	/* é¸æãããªãã£ãæ¤è¨¼ã¡ãã»ã¼ã¸ãåä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã*/
+	/* 選択されなかった検証メッセージを受信メッセージ構造体リストに戻す。*/
 	if (ct->rcv_lst == NULL)
 		ct->rcv_lst = ct->prf_lst;
@@ -945,5 +913,5 @@
 
 /*
- *  advance_retrans -- åéä¿¡ã¿ã¤ã ã¢ã¦ããæ´æ°ããã
+ *  advance_retrans -- 再送信タイムアウトを更新する。
  */
 
@@ -952,8 +920,7 @@
 {
 	/*
-	 *  åéä¿¡ééï¼RTï¼ãæ´æ°ããã
-	 *  åéä¿¡æ¯ã«ç´ 2åãããã
-	 *  æå¤§éä¿¡ééï¼MRTï¼ãè¶
-ããªãããã«ããã
+	 *  再送信間隔（RT）を更新する。
+	 *  再送信毎に約 2倍するが、
+	 *  最大送信間隔（MRT）を超えないようにする。
 	 */
 	ct->RT += ct->RT + dhcp6_rand(ct->RT);
@@ -961,10 +928,10 @@
 		ct->RT = ct->MRT + dhcp6_rand(ct->MRT);
 
-	/* åéä¿¡åæ°ãæ´æ°ããã*/
+	/* 再送信回数を更新する。*/
 	ct->txcount ++;
 	}
 
 /*
- *  init_retrans -- åéä¿¡åæ°ããã©ã³ã¶ã¯ã·ã§ã³ IDããã®ä»ãè¨­å®ããã
+ *  init_retrans -- 再送信回数、トランザクション ID、その他を設定する。
  */
 
@@ -972,19 +939,19 @@
 init_retrans (T_DHCP6_CLI_CONTEXT *ct)
 {
-	/* éä¿¡åæ°ããªã»ããããã*/
+	/* 送信回数をリセットする。*/
 	ct->txcount = 0;
 
-	/* åéä¿¡ééãè¨­å®ããã*/
+	/* 再送信間隔を設定する。*/
 	ct->RT = ct->IRT + dhcp6_rand(ct->IRT);
 
-	/* ãã©ã³ã¶ã¯ã·ã§ã³ ID ãè¨­å®ããã*/
+	/* トランザクション ID を設定する。*/
 	ct->xid = netapp_rand() % 0x00ffffff;
 
-	/* åä¿¡ã¡ãã»ã¼ã¸ã®æå¤§æ¨å¥¨åº¦ããªã»ããããã*/
+	/* 受信メッセージの最大推奨度をリセットする。*/
 	ct->max_prefer = 0;
 	}
 
 /*
- *  setup_msg_header -- ã¡ãã»ã¼ã¸ã®ãããé¨åãä½æããã
+ *  setup_msg_header -- メッセージのヘッダ部分を作成する。
  */
 
@@ -995,5 +962,5 @@
 	ct->snd_msg->len = sizeof(ct->snd_msg->msg);
 
-	/* ãããé¨ãè¨­å®ããã*/
+	/* ヘッダ部を設定する。*/
 	ct->snd_msg->msg.hdr.type   = type;
 	ct->snd_msg->msg.hdr.xid[0] = (ct->xid >> 16) & 0xff;
@@ -1005,5 +972,5 @@
 
 /*
- *  common_options -- æ¨æºãªãã·ã§ã³ãè¿½å ããã
+ *  common_options -- 標準オプションを追加する。
  */
 
@@ -1024,5 +991,5 @@
 #if defined(DHCP6_CLI_CFG_RAPID_COMMIT)
 
-	/* Rapid-commit ã®æå® */
+	/* Rapid-commit の指定 */
 	if (type == DHCP6_SOLICIT)
 		;
@@ -1030,5 +997,5 @@
 #endif	/* of #if defined(DHCP6_CLI_CFG_RAPID_COMMIT) */
 
-	/* ã¯ã©ã¤ã¢ã³ã DUID ãè¿½å ããã*/
+	/* クライアント DUID を追加する。*/
 	cid = (T_DHCP6_OPT_CLIENTID*)msg;
 	HOST2MSG16(cid->code, DHCP6_OPT_CLIENTID);
@@ -1037,5 +1004,5 @@
 	msg += ct->duid_len + sizeof(T_DHCP6_OPT_CLIENTID);
 
-	/* ãµã¼ã DUID ãè¿½å ããã*/
+	/* サーバ DUID を追加する。*/
 	if (lease == NULL) {
 		if (!(type == DHCP6_SOLICIT || type == DHCP6_INFO_REQ))
@@ -1053,6 +1020,5 @@
 #if defined(DHCP6_CLI_CFG_REQUIRED_OLIST) || defined(DHCP6_CLI_CFG_REQUEST_OLIST)
 
-	/* å¿
-é ã»è¦æ±ãªãã·ã§ã³ãè¿½å ããã*/
+	/* 必須・要求オプションを追加する。*/
 	oro = (T_DHCP6_OPT_ORO*)msg;
 	HOST2MSG16(oro->code, DHCP6_OPT_ORO);
@@ -1062,6 +1028,5 @@
 #if defined(DHCP6_CLI_CFG_REQUIRED_OLIST)
 
-	/* å¿
-é ãªãã·ã§ã³ãè¿½å ããã*/
+	/* 必須オプションを追加する。*/
 	HOST2MSG16(oro->len, MSG2HOST16(oro->len) + sizeof(required_plist) * 2);
 	for (ix = sizeof(required_plist); ix -- > 0; ) {
@@ -1074,5 +1039,5 @@
 #if defined(DHCP6_CLI_CFG_REQUEST_OLIST)
 
-	/* è¦æ±ãªãã·ã§ã³ãè¿½å ããã*/
+	/* 要求オプションを追加する。*/
 	HOST2MSG16(oro->len, MSG2HOST16(oro->len) + sizeof(request_plist) * 2);
 	for (ix = sizeof(request_plist); ix -- > 0; ) {
@@ -1089,5 +1054,5 @@
 
 /*
- *  rel_lease -- ãªã¼ã¹ããããªãã·ã§ã³ãè§£æãã¦å¤ãè§£æ¾ããã
+ *  rel_lease -- リースされたオプションを解析して値を解放する。
  */
 
@@ -1106,5 +1071,5 @@
 	uint8_t		*opt, *last;
 
-	/* æå¹ãªãªã¼ã¹ã»ã¡ãã»ã¼ã¸æ§é ä½ãç¡ããã°ä½ãããªãã*/
+	/* 有効なリース・メッセージ構造体が無ければ何もしない。*/
 	if (ct->act_msg == NULL)
 		return;
@@ -1154,5 +1119,5 @@
 
 /*
- *  set_lease -- ãªã¼ã¹ããããªãã·ã§ã³ãè§£æãã¦å¤ãè¨­å®ããã
+ *  set_lease -- リースされたオプションを解析して値を設定する。
  */
 
@@ -1231,7 +1196,7 @@
 
 /*
- *  start_req_info -- INFO-REQUEST ãéå§ããã
+ *  start_req_info -- INFO-REQUEST を開始する。
  *
- *    æ³¨æ: DHCPv6 ã® RFC3315 ã«ã¯ç¡ã
+ *    注意: DHCPv6 の RFC3315 には無い
  */
 
@@ -1239,11 +1204,10 @@
 start_req_info (T_DHCP6_CLI_CONTEXT *ct)
 {
-	/* ã¿ã¤ã ã¢ã¦ããè¨­å®ããããRFC3315 (18.1.5) åç
-§ã*/
+	/* タイムアウトを設定する。【RFC3315 (18.1.5) 参照】*/
 	ct->IRT = TMO_INF_TIMEOUT;
 	ct->MRT = TMO_INF_MAX_RT;
 	ct->MRC = 0;
 
-	/* DHCP6_CLI_CFG_ONE_TRYãæå®ããã¦ããªããã°æ¨æºã¿ã¤ã ã¢ã¦ãã¾ã§åéããã*/
+	/* DHCP6_CLI_CFG_ONE_TRYが指定されていなければ標準タイムアウトまで再送する。*/
 #if defined(DHCP6_CLI_CFG_ONE_TRY)
 	ct->MRD = 0;
@@ -1252,8 +1216,8 @@
 #endif
 
-	/* åéåæ°ã¨ãã©ã³ã¶ã¯ã·ã§ã³ ID ãè¨­å®ããã*/
+	/* 再送回数とトランザクション ID を設定する。*/
 	init_retrans(ct);
 
-	/* REPLY ã¡ãã»ã¼ã¸ã®åä¿¡ã¿ã¤ã ã¢ã¦ããè¨­å®ããã*/
+	/* REPLY メッセージの受信タイムアウトを設定する。*/
 	syscall(wai_sem(SEM_DHCP6_CLI_TIMER));
 	ct->timers[DHCP6C_TIMER_RCV_REPLY] = SYSTIM2TIMER(ct->MRD);
@@ -1261,15 +1225,13 @@
 
 	/*
-	 *  INFO-REQUEST ã¡ãã»ã¼ã¸éä¿¡é
-å»¶æéãè¨­å®ããã
-	 *  ãã ããTMO_INF_MAX_DELAY ã 1[s]ãªã®ã§ãdly_tsk()ãä½¿ç¨ããã
+	 *  INFO-REQUEST メッセージ送信遅延時間を設定する。
+	 *  ただし、TMO_INF_MAX_DELAY が 1[s]なので、dly_tsk()を使用する。
 	 */
 	dly_tsk(netapp_rand() % TMO_INF_MAX_DELAY);
 
-	/* SELECT ç¶æ
-ã«é·ç§»ããã*/
+	/* SELECT 状態に遷移する。*/
 	ct->fsm = DHCP6_FSM_SELECT;
 
-	/* INFO-REQUEST ã¡ãã»ã¼ã¸ãéä¿¡ããã*/
+	/* INFO-REQUEST メッセージを送信する。*/
 	ct->flags |= DHCP6C_FLAG_TMOUT_SND_IREQ;
 	syscall(sig_sem(SEM_DHCP6_CLI_READY));
@@ -1277,8 +1239,7 @@
 
 /*
- *  start_informed -- INFORMED ç¶æ
-ã«é·ç§»ããã
+ *  start_informed -- INFORMED 状態に遷移する。
  *
- *    æ³¨æ: DHCPv6 ã® RFC3315 ã«ã¯ç¡ã
+ *    注意: DHCPv6 の RFC3315 には無い
  */
 
@@ -1286,6 +1247,5 @@
 start_informed (T_DHCP6_CLI_CONTEXT *ct)
 {
-	/* æå¹ãªãªã¼ã¹æ
-å ±ãç¡ããã° SLEEP ã«é·ç§»ããã*/
+	/* 有効なリース情報が無ければ SLEEP に遷移する。*/
 	if (ct->act_msg == NULL) {
 		ct->fsm = DHCP6_FSM_SLEEP;
@@ -1293,10 +1253,8 @@
 		}
 
-	/* ãªã¼ã¹æ
-å ±ãè¨­å®ããã*/
+	/* リース情報を設定する。*/
 	set_lease(ct);
 
-	/* INFORMED ç¶æ
-ã«é·ç§»ããã*/
+	/* INFORMED 状態に遷移する。*/
 	ct->fsm = DHCP6_FSM_INFORMED;
 
@@ -1305,8 +1263,7 @@
 
 /*
- *  start_rel_info -- ã¢ãã¬ã¹æ
-å ±ãè§£æ¾ããã
+ *  start_rel_info -- アドレス情報を解放する。
  *
- *    æ³¨æ: DHCPv6 ã® RFC3315 ã«ã¯ç¡ã
+ *    注意: DHCPv6 の RFC3315 には無い
  */
 
@@ -1314,9 +1271,8 @@
 start_rel_info (T_DHCP6_CLI_CONTEXT *ct)
 {
-	/* ãªã¼ã¹æ
-å ±ãè§£æ¾ããã*/
+	/* リース情報を解放する。*/
 	rel_lease(ct);
 
-	/* SLEEP ã«é·ç§»ããã*/
+	/* SLEEP に遷移する。*/
 	ct->fsm = DHCP6_FSM_SLEEP;
 	syscall(sig_sem(SEM_DHCP6_CLI_READY));
@@ -1324,5 +1280,5 @@
 
 /*
- *  select_info_reply -- æé©ãª REPLY (INFO-REQUEST ã¸ã®å¿ç­) ã¡ãã»ã¼ã¸ãé¸æããã
+ *  select_info_reply -- 最適な REPLY (INFO-REQUEST への応答) メッセージを選択する。
  */
 
@@ -1332,5 +1288,5 @@
 	T_DHCP6_CLI_MSG		*msg;
 
-	/* æé©ãª REPLY ã¡ãã»ã¼ã¸ãé¸æããã*/
+	/* 最適な REPLY メッセージを選択する。*/
 	if ((msg = select_msg(ct)) == NULL)
 		return false;
@@ -1341,5 +1297,5 @@
 
 /*
- *  setup_info_req_msg -- INFO-REQUEST ã¡ãã»ã¼ã¸ãä½æããã
+ *  setup_info_req_msg -- INFO-REQUEST メッセージを作成する。
  */
 
@@ -1349,5 +1305,5 @@
 	uint8_t	*msg;
 
-	/* ã¡ãã»ã¼ã¸ã®ãããé¨åãä½æããã*/
+	/* メッセージのヘッダ部分を作成する。*/
 	if ((msg = setup_msg_header(ct, DHCP6_INFO_REQ)) == NULL)
 		return E_PAR;
@@ -1356,9 +1312,8 @@
 		return E_PAR;
 
-	/* ã¡ãã»ã¼ã¸æ§é ä½é·ãè¨­å®ããã*/
+	/* メッセージ構造体長を設定する。*/
 	ct->snd_msg->len = msg - (uint8_t*)&ct->snd_msg->msg;
 
-	/* éä¿¡å
-ã¢ãã¬ã¹ãè¨­å®ããã*/
+	/* 送信先アドレスを設定する。*/
 	ct->dst.ipaddr	= in6_addr_all_DHCP_relay_servers;
 	return E_OK;
@@ -1366,5 +1321,5 @@
 
 /*
- *  send_info_req_msg -- INFO-REQUEST ã¡ãã»ã¼ã¸ãéä¿¡ããã
+ *  send_info_req_msg -- INFO-REQUEST メッセージを送信する。
  */
 
@@ -1375,21 +1330,19 @@
 
 
-	/* REPLY ã¡ãã»ã¼ã¸ã®é¸æãçµäºãã¦ããã°ãBOUND ç¶æ
-ã«é·ç§»ããã*/
+	/* REPLY メッセージの選択が終了していれば、BOUND 状態に遷移する。*/
 	ct->flags &= ~DHCP6C_FLAG_TMOUT_MASK;
 	if (select_info_reply(ct)) {
 
-		/* REPLY ã¡ãã»ã¼ã¸åä¿¡ã¿ã¤ãã¼ãåæ­¢ããã*/
+		/* REPLY メッセージ受信タイマーを停止する。*/
 		syscall(wai_sem(SEM_DHCP6_CLI_TIMER));
 		ct->timers[DHCP6C_TIMER_RCV_REPLY] = 0;
 		syscall(sig_sem(SEM_DHCP6_CLI_TIMER));
 
-		/* INFORMED ç¶æ
-ã«é·ç§»ããã*/
+		/* INFORMED 状態に遷移する。*/
 		start_informed(ct);
 		return;
 		}
 
-	/* åéä¿¡åæ°ãç¢ºèªããã*/
+	/* 再送信回数を確認する。*/
 	if ((ct->MRC != 0) && (ct->txcount > ct->MRC)) {
 		ct->error  = E_TMOUT;
@@ -1397,5 +1350,5 @@
 		}
 
-	/* INFO-REQUEST ã¡ãã»ã¼ã¸ãä½æããã*/
+	/* INFO-REQUEST メッセージを作成する。*/
 	if ((error = setup_info_req_msg(ct)) != E_OK) {
 		syslog(LOG_NOTICE, "[DHCP6C] error, setup request message: %s.", itron_strerror(error));
@@ -1404,5 +1357,5 @@
 		}
 
-	/* INFO-REQUEST ã¡ãã»ã¼ã¸ãéä¿¡ããã*/
+	/* INFO-REQUEST メッセージを送信する。*/
 	error = UDP_SND_DAT(ct->cepid, &ct->dst, &ct->snd_msg->msg, ct->snd_msg->len, TMO_NBLK);
 	if (error != E_WBLK) {
@@ -1412,10 +1365,10 @@
 		}
 
-	/* åéä¿¡ã¿ã¤ã ã¢ã¦ããè¨­å®ããã*/
+	/* 再送信タイムアウトを設定する。*/
 	syscall(wai_sem(SEM_DHCP6_CLI_TIMER));
 	ct->timers[DHCP6C_TIMER_SND_IREQ] = SYSTIM2TIMER(ct->RT);
 	syscall(sig_sem(SEM_DHCP6_CLI_TIMER));
 
-	/* åéä¿¡ã¿ã¤ã ã¢ã¦ããæ´æ°ããã*/
+	/* 再送信タイムアウトを更新する。*/
 	advance_retrans(ct);
 	}
@@ -1426,5 +1379,5 @@
 
 /*
- *  select_reply -- æé©ãª REPLY ã¡ãã»ã¼ã¸ãé¸æããã
+ *  select_reply -- 最適な REPLY メッセージを選択する。
  */
 
@@ -1434,5 +1387,5 @@
 	T_DHCP6_CLI_MSG		*msg;
 
-	/* æé©ãª REPLY ã¡ãã»ã¼ã¸ãé¸æããã*/
+	/* 最適な REPLY メッセージを選択する。*/
 	if ((msg = select_msg(ct)) == NULL)
 		return false;
@@ -1444,6 +1397,6 @@
 
 	/*
-	 *  æé©ãª REPLY ã¡ãã»ã¼ã¸ã®æ¨å¥¨åº¦ã ADVERTISE ã¡ãã»ã¼ã¸æ¨å¥¨åº¦ã®
-	 *  1/2 ä»¥ä¸ã®æã¯åä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã
+	 *  最適な REPLY メッセージの推奨度が ADVERTISE メッセージ推奨度の
+	 *  1/2 以下の時は受信メッセージ構造体リストに戻す。
 	 */
 	if ((ct->adv_msg != NULL) && (ct->max_prefer < (ct->adv_msg->prefer & DHCP6_ClI_MSG_PREFER_VALUE_MASK) / 2)) {
@@ -1456,8 +1409,7 @@
 
 		/*
-		 *  ct->act_msg ã«ããæå¹ãªå
- REPLY ã¡ãã»ã¼ã¸ã
-		 *  åä¿¡ã¡ãã»ã¼ã¸æ§é ä½ãªã¹ãã«æ»ãã¦ã
-		 *  æé©ãª REPLY ã¡ãã»ã¼ã¸ã act ã«ç§»ãã
+		 *  ct->act_msg にある有効な元 REPLY メッセージを
+		 *  受信メッセージ構造体リストに戻して、
+		 *  最適な REPLY メッセージを act に移す。
 		 */
 		if (ct->act_msg != NULL) {
@@ -1474,5 +1426,5 @@
 
 /*
- *  select_adv -- æé©ãª ADVERTISE ã¡ãã»ã¼ã¸ãé¸æããã
+ *  select_adv -- 最適な ADVERTISE メッセージを選択する。
  */
 
@@ -1480,10 +1432,10 @@
 select_adv (T_DHCP6_CLI_CONTEXT *ct)
 {
-	/* æé©ãª ADVERTISE ã¡ãã»ã¼ã¸ã adv ã«ç§»ãã*/
+	/* 最適な ADVERTISE メッセージを adv に移す。*/
 	if ((ct->adv_msg = select_msg(ct)) != NULL) {
 
 		/*
-		 *  æé©ãª ADVERTISE ã¡ãã»ã¼ã¸ã®ãµã¼ãã® IPv6 ã¢ãã¬ã¹ã
-		 *  æ¬¡ããéä¿¡ããã¢ãã¬ã¹ã«è¨­å®ããã
+		 *  最適な ADVERTISE メッセージのサーバの IPv6 アドレスを
+		 *  次から送信するアドレスに設定する。
 		 */
 		ct->dst = ct->adv_msg->srv;
@@ -1495,5 +1447,5 @@
 
 /*
- *  eval_expire -- æ¨å¥¨æå¹æéã¨æå¹æéãæ±ºå®ããã
+ *  eval_expire -- 推奨有効時間と有効時間を決定する。
  */
 
@@ -1511,5 +1463,5 @@
 	uint_t		aoff, asize, addrs;
 
-	/* ã¿ã¤ãã¼ãåæ­¢ããã*/
+	/* タイマーを停止する。*/
 	syscall(wai_sem(SEM_DHCP6_CLI_TIMER));
 	ct->timers[DHCP6C_TIMER_RENEW]  = 0;
@@ -1528,5 +1480,5 @@
 		opt = (T_DHCP6_OPTION*)msg;
 
-		/* IA_NA/IA_PD ãªãã·ã§ã³ã§ããã°ãæå¹æéãæ´æ°ããã*/
+		/* IA_NA/IA_PD オプションであれば、有効時間を更新する。*/
 		if (MSG2HOST16(opt->code) == DHCP6_OPT_IA_NA || MSG2HOST16(opt->code) == DHCP6_OPT_IA_PD) {
 
@@ -1540,5 +1492,5 @@
 			while (aoff < asize) {
 
-				/* æç­ã®æ¨å¥¨æå¹æéãæ´æ°ããã*/
+				/* 最短の推奨有効時間を更新する。*/
 				iaa = (T_DHCP6_OPT_IAADDR*)((uint8_t*)opt + aoff);
 				//dump_msg_option("evl_depref1", (uint8_t*)iaa);
@@ -1552,5 +1504,5 @@
 					}
 
-				/* IAADDR ã®æå¹æéãæ´æ°ããã*/
+				/* IAADDR の有効時間を更新する。*/
 				iaa = (T_DHCP6_OPT_IAADDR*)((uint8_t*)opt + aoff);
 				if (!(MSG2HOST16(iaa->len) & DHCP6C_IAA_FLAG_EXPIRED)) {
@@ -1570,5 +1522,5 @@
 				}
 
-			/* iaa_low ã¨ iaa_high/2 ã®æé·ã®æ¹ãæå¹æéã¨ãã¦é¸æããã*/
+			/* iaa_low と iaa_high/2 の最長の方を有効時間として選択する。*/
 			if (iaa_low <= (iaa_high / 2))
 				expire = iaa_high;
@@ -1576,5 +1528,5 @@
 				expire = iaa_low;
 
-			/* expire ã æå¤§å¤ï¼ç¡å¶éï¼ã 1 ä»¥ä¸ãªãæ¢å®å¤ã«è¨­å®ããã*/
+			/* expire が 最大値（無制限）か 1 以下なら既定値に設定する。*/
 			if ((expire == DHCP6_MAX_TIME) || (expire <= 1))
 				expire  = SYSTIM2SEC(TMO_DHCP6C_REQ_LEASE) / 2;
@@ -1582,5 +1534,5 @@
 				expire /= 2;
 
-			/* renew ãæ±ºå®ããã*/
+			/* renew を決定する。*/
 			if (MSG2HOST32(ia->renew) == 0)
 				tval = expire + SYSTIM2SEC(ct->act_msg->rcv_time);
@@ -1592,5 +1544,5 @@
 				renew = tval;
 
-			/* rebind ãæ±ºå®ããã*/
+			/* rebind を決定する。*/
 			if (MSG2HOST32(ia->rebind) == 0)
 				tval = (expire + expire / 2) + SYSTIM2SEC(ct->act_msg->rcv_time);
@@ -1602,5 +1554,5 @@
 				rebind = tval;
 
-			/* æç­æå¹æéã¨æé·æå¹æéãæ´æ°ããã*/
+			/* 最短有効時間と最長有効時間を更新する。*/
 			iaa_low  += SYSTIM2SEC(ct->act_msg->rcv_time);
 			iaa_high += SYSTIM2SEC(ct->act_msg->rcv_time);
@@ -1614,17 +1566,15 @@
 		}
 
-	/* ã¢ãã¬ã¹ãéããã¦ããªããã°ãSLEEP ç¶æ
-ã«é·ç§»ããã*/
+	/* アドレスが送られていなければ、SLEEP 状態に遷移する。*/
 	if (addrs == 0) {
 		ct->fsm    = DHCP6_FSM_SLEEP;
 		}
 
-	/* ç¶æ
-ã«ä¾å­ããå¦ç */
+	/* 状態に依存する処理 */
 	switch (ct->fsm) {
 
 	case DHCP6_FSM_BOUND:
 
-		/* RENEW ã¿ã¤ã ã¢ã¦ãã®è¨­å® */
+		/* RENEW タイムアウトの設定 */
 		if ((rebind > SYSTIM2SEC(time)) && (renew < rebind)) {
 			ct->next_MRD = SEC2SYSTIM(rebind) - time;
@@ -1634,9 +1584,9 @@
 			break;
 			}
-		/* break; */	/* ä¸ã«æããã*/
+		/* break; */	/* 下に抜ける。*/
 
 	case DHCP6_FSM_RENEW:
 
-		/* REBIND ã¿ã¤ã ã¢ã¦ãã®è¨­å® */
+		/* REBIND タイムアウトの設定 */
 		ct->MRD = SEC2SYSTIM(rebind);
 		if (rebind != DHCP6_MAX_TIME) {
@@ -1657,5 +1607,5 @@
 		}
 
-	/* DEPREF ã¿ã¤ã ã¢ã¦ãã®è¨­å® */
+	/* DEPREF タイムアウトの設定 */
 	if (depref != DHCP6_MAX_TIME) {
 		syscall(wai_sem(SEM_DHCP6_CLI_TIMER));
@@ -1664,5 +1614,5 @@
 		}
 
-	/* EXPIRE ã¿ã¤ã ã¢ã¦ãã®è¨­å® */
+	/* EXPIRE タイムアウトの設定 */
 	if (low != DHCP6_MAX_TIME) {
 		syscall(wai_sem(SEM_DHCP6_CLI_TIMER));
@@ -1673,6 +1623,5 @@
 
 /*
- *  start_init -- INIT ç¶æ
-ã«é·ç§»ããã
+ *  start_init -- INIT 状態に遷移する。
  */
 
@@ -1680,11 +1629,10 @@
 start_init (T_DHCP6_CLI_CONTEXT *ct)
 {
-	/* ã¿ã¤ã ã¢ã¦ããè¨­å®ããããRFC3315 (17.1.2) åç
-§ã*/
+	/* タイムアウトを設定する。【RFC3315 (17.1.2) 参照】*/
 	ct->IRT = TMO_SOL_TIMEOUT;
 	ct->MRT = TMO_SOL_MAX_RT;
 	ct->MRC = 0;
 
-	/* DHCP6_CLI_CFG_ONE_TRYãæå®ããã¦ããªããã°æ¨æºã¿ã¤ã ã¢ã¦ãã¾ã§åéããã*/
+	/* DHCP6_CLI_CFG_ONE_TRYが指定されていなければ標準タイムアウトまで再送する。*/
 #if defined(DHCP6_CLI_CFG_ONE_TRY)
 	ct->MRD = 0;
@@ -1693,8 +1641,8 @@
 #endif
 
-	/* åéåæ°ã¨ãã©ã³ã¶ã¯ã·ã§ã³ ID ãè¨­å®ããã*/
+	/* 再送回数とトランザクション ID を設定する。*/
 	init_retrans(ct);
 
-	/* RFC3315 (17.1.2) ã®è¦å®ã«å¾ã£ã¦ã¿ã¤ã ã¢ã¦ããèª¿æ´ããã*/
+	/* RFC3315 (17.1.2) の規定に従ってタイムアウトを調整する。*/
 	if (ct->RT <= ct->IRT)
 		ct->RT = ct->IRT + (ct->IRT - ct->RT);
@@ -1702,5 +1650,5 @@
 		ct->RT = ct->IRT + SEC2SYSTIM(1);
 
-	/* ADVERTISE ã¡ãã»ã¼ã¸ã®åä¿¡ã¿ã¤ã ã¢ã¦ããè¨­å®ããã*/
+	/* ADVERTISE メッセージの受信タイムアウトを設定する。*/
 	syscall(wai_sem(SEM_DHCP6_CLI_TIMER));
 	ct->timers[DHCP6C_TIMER_RCV_ADV] = SYSTIM2TIMER(ct->MRD);
@@ -1708,15 +1656,13 @@
 
 	/*
-	 *  SOLICIT ã¡ãã»ã¼ã¸éä¿¡é
-å»¶æéãè¨­å®ããã
-	 *  ãã ããTMO_SOL_MAX_DELAY ã 1[s]ãªã®ã§ãdly_tsk()ãä½¿ç¨ããã
+	 *  SOLICIT メッセージ送信遅延時間を設定する。
+	 *  ただし、TMO_SOL_MAX_DELAY が 1[s]なので、dly_tsk()を使用する。
 	 */
 	dly_tsk(netapp_rand() % TMO_SOL_MAX_DELAY);
 
-	/* INIT ç¶æ
-ã«é·ç§»ããã*/
+	/* INIT 状態に遷移する。*/
 	ct->fsm = DHCP6_FSM_INIT;
 
-	/* SOLICIT ã¡ãã»ã¼ã¸ãéä¿¡ããã*/
+	/* SOLICIT メッセージを送信する。*/
 	ct->flags |= DHCP6C_FLAG_TMOUT_SND_SOL;
 	syscall(sig_sem(SEM_DHCP6_CLI_READY));
@@ -1724,6 +1670,5 @@
 
 /*
- *  start_select -- REQUEST ã¡ãã»ã¼ã¸ãéä¿¡ãã¦ SELECT ç¶æ
-ã«é·ç§»ããã
+ *  start_select -- REQUEST メッセージを送信して SELECT 状態に遷移する。
  */
 
@@ -1731,6 +1676,5 @@
 start_select (T_DHCP6_CLI_CONTEXT *ct)
 {
-	/* æå¹ãª ADVERTISE ã¡ãã»ã¼ã¸ãåä¿¡ãã¦ããªããã° SLEEP ç¶æ
-ã«é·ç§»ããã*/
+	/* 有効な ADVERTISE メッセージを受信していなければ SLEEP 状態に遷移する。*/
 	if (ct->adv_msg == NULL) {
 		ct->fsm = DHCP6_FSM_SLEEP;
@@ -1738,6 +1682,5 @@
 		}
 
-	/* ã¿ã¤ã ã¢ã¦ããè¨­å®ããããRFC3315 (18.1.1) åç
-§ã*/
+	/* タイムアウトを設定する。【RFC3315 (18.1.1) 参照】*/
 	ct->IRT = TMO_REQ_TIMEOUT;
 	ct->MRT = TMO_REQ_MAX_RT;
